#!/bin/sh
# ---------------------------------------------------------
#  Set the core module defines according to Core Module
# ---------------------------------------------------------
# ---------------------------------------------------------
# Set up the GTA01 type define
# ---------------------------------------------------------

mkdir -p ${obj}include
if [ "$1" == "" ]
then
	echo "$0:: No parameters - using GTA01Bv3 config"
	echo "#define CONFIG_ARCH_GTA01B_v3" > ${obj}include/config.h
	echo "GTA01_BIG_RAM=y" > ${obj}board/neo1973/config.tmp
else
	case "$1" in
	gta01v4_config)
	echo "#define CONFIG_ARCH_GTA01_v4" > ${obj}include/config.h
	echo "GTA01_BIG_RAM=n" > ${obj}board/neo1973/config.tmp
	;;

	gta01v3_config)
	echo "#define CONFIG_ARCH_GTA01_v3" > ${obj}include/config.h
	echo "GTA01_BIG_RAM=n" > ${obj}board/neo1973/config.tmp
	;;

	gta01bv2_config)
	echo "#define CONFIG_ARCH_GTA01B_v2" > ${obj}include/config.h
	echo "GTA01_BIG_RAM=y" > ${obj}board/neo1973/config.tmp
	;;

	gta01bv3_config)
	echo "#define CONFIG_ARCH_GTA01B_v3" > ${obj}include/config.h
	echo "GTA01_BIG_RAM=y" > ${obj}board/neo1973/config.tmp
	;;

	*)
	echo "$0:: Unrecognised config - using gta01v3_config"
	echo "#define CONFIG_ARCH_GTA01_v3" > ${obj}include/config.h
	echo "GTA01_BIG_RAM=n" > ${obj}board/neo1973/config.tmp
	;;

	esac

fi
# ---------------------------------------------------------
# Complete the configuration
# ---------------------------------------------------------
$MKCONFIG -a neo1973 arm arm920t neo1973 NULL s3c24x0
